Wallet Infrastructure
Wallet Infrastructure
Customers

List customers

GET
/v1/customers

Requires scope customers:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

cursor?unknown
limit?unknown

Response Body

200application/json

Customer page

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/customers' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "reference": "string",        "displayName": "string",        "email": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "nextCursor": "string"  },  "status": 200,  "success": true}